Loading...
Searching...
No Matches
AVSmpte291mAnc8bit Struct Reference

An ANC packet with an 8-bit payload. More...

`#include <libavcodec/smpte_436m.h>`

## Data Fields

uint8_t | did
uint8_t | sdid_or_dbn
uint8_t | data_count
uint8_t | payload [AV_SMPTE_291M_ANC_PAYLOAD_CAPACITY]
uint8_t | checksum

## Detailed Description

An ANC packet with an 8-bit payload.

This can be decoded from AVSmpte436mCodedAnc::payload.

Note: Some ANC packets need a 10-bit payload, if stored in this struct, the most-significant 2 bits of each sample are discarded.

Definition at line 98 of file smpte_436m.h.

## Field Documentation

## did

uint8_t AVSmpte291mAnc8bit::did

Definition at line 99 of file smpte_436m.h.

## sdid_or_dbn

uint8_t AVSmpte291mAnc8bit::sdid_or_dbn

Definition at line 100 of file smpte_436m.h.

## data_count

uint8_t AVSmpte291mAnc8bit::data_count

Definition at line 101 of file smpte_436m.h.

## payload

uint8_t AVSmpte291mAnc8bit::payload[AV_SMPTE_291M_ANC_PAYLOAD_CAPACITY]

Definition at line 102 of file smpte_436m.h.

## checksum

uint8_t AVSmpte291mAnc8bit::checksum

Definition at line 103 of file smpte_436m.h.

The documentation for this struct was generated from the following file:

- libavcodec/smpte_436m.h